firefox (1:1snap1-0ubuntu7) plucky; urgency=medium

  * d/firefox.preinst: Force stdin to be a tty so that snap install
    reports progress (LP: #1886414).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 17 Jan 2025 13:49:08 +0100

firefox (1:1snap1-0ubuntu6) oracular; urgency=medium

  * debian/control: Update firefox package's Description to indicate
    that it is not merely a transitional package, and it provides
    some additional system configuration/integration for the Firefox
    snap package it installs. (LP: #2061075)
  * debian/firefox.postrm.in: Add explanation about what this package
    does and that the user may want to additionally remove the Firefox
    snap package to fully remove Firefox. (LP: #2064819)

 -- Amin Bandali <bandali@ubuntu.com>  Sun, 07 Jul 2024 21:09:20 -0400

firefox (1:1snap1-0ubuntu5) noble; urgency=medium

  * Update the packaging vcs reference to the new git repository
  * debian/firefox.desktop, debian/firefox.install:
    - remove the transitional firefox.desktop which was needed for the deb
      to snap upgrade
  * debian/firefox.maintscript:
    - removed another migration script which isn't needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Dec 2023 15:01:03 +0100

firefox (1:1snap1-0ubuntu3) lunar; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 23.04 (the Lunar Lobster)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 06 Nov 2022 12:26:12 +0100

firefox (1:1snap1-0ubuntu3~22.10.1) kinetic; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 22.10 (the Kinetic Kudu)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Oct 2022 14:39:16 +0200

firefox (1:1snap1-0ubuntu3~22.04.1) jammy; urgency=medium

  * Specify a minimum version for the snapd Pre-Depends (LP: #1992678)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Oct 2022 14:33:26 +0200

firefox (1:1snap1-0ubuntu2) jammy; urgency=medium

  * Ensure the transitional desktop file isn't visible in the GNOME activities
    - debian/firefox.desktop

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Mar 2022 12:05:12 +0200

firefox (1:1snap1-0ubuntu1) jammy; urgency=medium

  * Install the firefox snap in place of the debian packages (LP: #1962021)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Feb 2022 10:47:48 +0100

firefox (97.0.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 16 Feb 2022 21:59:17 +0100

firefox (97.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Feb 2022 07:02:03 +0100

firefox (97.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0+build1)

  [ Olivier Tilloy ]
  * Drop upstream patches
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.57.0 and cargo >= 0.58
    - debian/control{,.in}
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 Jan 2022 21:49:43 +0100

firefox (96.0.3+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Jan 2022 22:10:38 +0100

firefox (96.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 20 Jan 2022 07:12:27 +0100

firefox (96.0.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 14 Jan 2022 12:01:57 +0100

firefox (96.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0+build2)

  [ Olivier Tilloy ]
  * Cherry-pick a series of upstream patches to fix building WebRTC on armhf
    (https://bugzilla.mozilla.org/1738845):
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff
    - debian/patches/webrtc-armhf/upstream-D134738.diff
  * Remove an obsolete patch:
    - debian/patches/fix-armhf-webrtc-build.patch
  * Update test expectation for webp support in canvas
    - debian/tests/html5test

  [ Rico Tzschichholz ]
  * Pin the version of the vendored hermit-abi for compatibility with
    rustc < 1.56
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 09 Jan 2022 20:23:44 +0100

firefox (95.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 19 Dec 2021 11:10:46 +0100

firefox (95.0.1+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0.1+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 16 Dec 2021 22:17:10 +0100

firefox (95.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0+build1)

  [ Rico Tzschichholz ]
  * Bump build-dep on cargo >= 0.54
    - debian/control{,.in}
    - debian/patches/relax-cargo-dep.patch
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
  * Pass --without-wasm-sandboxed-libraries
    - debian/config/mozconfig.in
  * Install more sizes of the firefox application icon
    - debian/build/rules.mk
  * Bump dump_sys to bf7f6bd855eb6ecb233b52bfa7b2c975b7026540 (LP: #1945770)
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 30 Nov 2021 20:15:46 +0100

firefox (94.0.2+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0.2+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 20 Nov 2021 07:40:33 +0100

firefox (94.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0.2+build1)

  [ Dariusz Gadomski ]
  * Prevent crash on launch under AppArmor (LP: #1931602)

  [ Olivier Tilloy ]
  * Do not export MOZ_DBUS_REMOTE in the launcher script, this is no
    longer required since https://bugzilla.mozilla.org/1724242
    - debian/firefox.sh.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Nov 2021 21:13:26 +0100

firefox (94.0+build3-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0+build3)

  [ Olivier Tilloy ]
  * Update the Vcs-Bzr URL for Ubuntu 22.04 (the Jammy Jellyfish)
    - update debian/control{,.in}
  * Drop an ustream patch
    - debian/patches/upstream-49bf466c3f24.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.53.0
    - debian/control{,.in}
  * Make cargo 0.52 aka 1.51.0 sufficient
    - debian/patches/relax-cargo-dep.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 30 Oct 2021 18:53:28 +0200

firefox (93.0+build1-0ubuntu3) impish; urgency=medium

  * Cherry-pick an upstream patch to fix Widevine CDM crashes on impish
    (LP: #1945100)
    - debian/patches/upstream-49bf466c3f24.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 06 Oct 2021 17:40:06 +0200

firefox (93.0+build1-0ubuntu2) impish; urgency=medium

  * Update test expectation (https://bugzilla.mozilla.org/1283388)
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 28 Sep 2021 12:04:51 +0200

firefox (93.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (93.0+build1)

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
  * Use clang 13 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Explicitly set MOZBUILD_STATE_PATH
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 28 Sep 2021 10:19:18 +0200

firefox (92.0.1+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (92.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 22 Sep 2021 22:12:55 +0200

firefox (92.0+build3-0ubuntu1) impish; urgency=medium

  * New upstream release (92.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 04 Sep 2021 16:17:29 +0200

firefox (92.0+build2-0ubuntu1) impish; urgency=medium

  * New upstream release (92.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Sep 2021 21:40:53 +0200

firefox (92.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (92.0+build1)

  [ Olivier Tilloy ]
  * Remove an upstream patch
    - debian/patches/upstream-glibc-2.34-build-fixes.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.20.0
    - debian/build/create-tarball.py
  * Drop superfluous alternative for clang 8
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update patches
    - debian/patches/armhf-do-not-build-qcms-with-neon.patch
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Remove patches that are no longer needed
    - debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
  * Drop workaround for gtk2
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 31 Aug 2021 09:08:57 +0200

firefox (91.0.2+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (91.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 23 Aug 2021 18:03:32 +0200

firefox (91.0.1+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (91.0.1+build1)

  * Cherry-pick a couple of upstream commits to fix a build failure with
    glibc 2.34 (https://bugzilla.mozilla.org/1721326)
    - debian/patches/upstream-glibc-2.34-build-fixes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 16 Aug 2021 22:46:03 +0200

firefox (91.0+build2-0ubuntu1) impish; urgency=medium

  * New upstream release (91.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Aug 2021 09:27:17 +0200

firefox (91.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (91.0+build1)

  [ Rico Tzschichholz ]
  * Drop obsolete patches
    - debian/patches/relax-cargo-dep.patch
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/fix-armhf-webrtc-build.patch
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Bump build-dep on rustc >= 1.51.0 and cargo >= 0.52
    - debian/control{,.in}
  * Ignore Scots locale (sco)
    - debian/config/locales.blacklist

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 Aug 2021 20:04:40 +0200

firefox (90.0.2+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (90.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 22 Jul 2021 12:27:07 +0200

firefox (90.0.1+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (90.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 21 Jul 2021 09:38:16 +0200

firefox (90.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (90.0+build1)

  [ Olivier Tilloy ]
  * Drop an upstream patch
    - debian/patches/upstream-c77fc5fac5ae.patch

  [ Rico Tzschichholz ]
  * Drop gtk2 dependency
    - debian/control{,.in}
    - debian/firefox.install.in
  * Update patches
    - debian/patches/reduce-rust-debuginfo.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 05 Jul 2021 23:22:56 +0200

firefox (89.0.2+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (89.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Jun 2021 22:50:24 +0200

firefox (89.0.1+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (89.0.1+build1)

  * Cherry-pick an upstream commit to fix video rendering on arm (LP: #1930982)
    - debian/patches/upstream-c77fc5fac5ae.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 15 Jun 2021 17:10:28 +0200

firefox (89.0+build2-0ubuntu1) impish; urgency=medium

  * New upstream release (89.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 28 May 2021 07:40:09 +0200

firefox (89.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (89.0+build1)

  [ Olivier Tilloy ]
  * Update test expectation (https://bugzilla.mozilla.org/1699834)
    - debian/tests/search-engines

  [ Rico Tzschichholz ]
  * Bump build-deps on gtk+-3.0 >= 3.14, glib2.0 >= 2.42
    - debian/control{,.in}
  * Update patches
    - debian/patches/armhf-do-not-build-qcms-with-neon.patch
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/relax-cargo-dep.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 25 May 2021 06:58:11 +0200

firefox (88.0.1+build1-0ubuntu2) impish; urgency=medium

  * Update a test expectation, following
    https://github.com/mozilla-partners/canonical/commit/9d38e19
    - debian/tests/search-engines

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 06 May 2021 12:38:08 +0200

firefox (88.0.1+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (88.0.1+build1)

  * Update the apparmor profile to allow the remote control protocol to open
    links in a running instance under Wayland (LP: #1925392)
    - debian/usr.bin.firefox.apparmor.14.10
  * Update (again) apparmor profile to allow lsb_release to run with Python 3.9
    which is default in hirsute (LP: #1861408)
    - debian/usr.bin.firefox.apparmor.14.10
  * Update the Vcs-Bzr URL for Ubuntu 21.10 (the Impish Indri)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 May 2021 10:27:55 +0200

firefox (88.0+build2-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (88.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 16 Apr 2021 08:32:47 +0200

firefox (88.0+build1-0ubuntu0.21.04.3) hirsute; urgency=medium

  * On armhf, override the UA string used by an autopkgtest to prevent Google
    from serving mobile content, which would break the test's expectations
    (LP: #1923090)
    - debian/tests/search-engines

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 15 Apr 2021 15:51:47 +0200

firefox (88.0+build1-0ubuntu0.21.04.2) hirsute; urgency=medium

  * Ensure that opening links from XWayland apps still works (LP: #1921931)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 14 Apr 2021 22:42:30 +0200

firefox (88.0+build1-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (88.0+build1)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.19.0
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Apr 2021 10:30:18 +0200

firefox (87.0+build3-0ubuntu3) hirsute; urgency=medium

  * Set MOZ_ENABLE_WAYLAND only in Wayland sessions (LP: #1923116)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 09 Apr 2021 20:25:05 +0200

firefox (87.0+build3-0ubuntu2) hirsute; urgency=medium

  * Enable native Wayland support (LP: #1916469)
    - debian/firefox.sh.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 26 Mar 2021 18:22:24 +0100

firefox (87.0+build3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (87.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 18 Mar 2021 15:05:24 +0100

firefox (87.0+build2-0ubuntu2) hirsute; urgency=medium

  * Build with clang 12 where available (currently only hirsute)
    - debian/build/rules.mk
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Mar 2021 17:05:06 +0100

firefox (87.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (87.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 16 Mar 2021 07:52:53 +0100

firefox (87.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (87.0+build1)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.18.0
    - debian/build/create-tarball.py
  * Add Silesian language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control
  * Drop upstreamed patches
    - debian/patches/s390x-fix-hidden-symbol.patch
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 15 Mar 2021 21:56:48 +0100

firefox (86.0.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (86.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Mar 2021 21:04:20 +0100

firefox (86.0+build3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (86.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 22 Feb 2021 18:48:27 +0100

firefox (86.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (86.0+build2)

  [ Olivier Tilloy ]
  * Reduce the LTO level (to "thin") on armhf to work around OOM failures on
    Launchpad builders
    - debian/build/rules.mk
    - debian/patches/armhf-rustc-thin-lto.patch
  * Update test expectations
    - debian/tests/html5test
  * Remove upstream patch
    - debian/patches/upstream-fix-startup-hang.patch

  [ Rico Tzschichholz ]
  * Vendor dump_syms v0.0.7 and its dependencies in the source tarball
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in
    - debian/config/tarball.conf
  * Build-dep on libssl-dev as dump_syms dependency
    - debian/control{,.in}
  * Update cbindgen to 0.17.0
    - debian/build/create-tarball.py
  * Update patch
    - debian/patches/armhf-do-not-build-qcms-with-neon.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 18 Feb 2021 10:21:18 +0100

firefox (85.0.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (85.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Feb 2021 06:55:00 +0100

firefox (85.0+build1-0ubuntu2) hirsute; urgency=medium

  * Cherry-pick an upstream commit to address a startup hang (LP: #1914147)
    - debian/patches/upstream-fix-startup-hang.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 02 Feb 2021 21:21:12 +0100

firefox (85.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (85.0+build1)

  [ Olivier Tilloy ]
  * Update test expectation (https://bugzilla.mozilla.org/1680596)
    - debian/tests/html5test
  * Partially rewrite an autopkgtest to make it more robust
    - debian/tests/search-engines
  * Remove patches that are no longer needed
    - debian/patches/fix-make-package-tests-without-webrtc.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.47.0 and cargo >= 0.47
    - debian/control{,.in}
  * Make cargo 0.47 aka 1.46.0 sufficient
    - debian/patches/relax-cargo-dep.patch
  * Update cbindgen to 0.16.0
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 18 Jan 2021 20:38:25 +0100

firefox (84.0.2+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (84.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 06 Jan 2021 12:11:31 +0100

firefox (84.0.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (84.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Dec 2020 08:51:40 +0100

firefox (84.0+build3-0ubuntu2) hirsute; urgency=medium

  * Reduce the rust debuginfo level unconditionally on all architectures,
    given that builds started failing reliably on amd64 with rustc 1.47
    - update
      debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch and
      rename it to debian/patches/reduce-rust-debuginfo.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Dec 2020 15:32:45 +0100

firefox (84.0+build3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (84.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Dec 2020 07:43:47 +0100

firefox (84.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (84.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Dec 2020 20:28:58 +0100

firefox (84.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (84.0+build1)

  [ Olivier Tilloy ]
  * Update the apparmor profile to permit shared memory access for IPC under
    Wayland (LP: #1894006)
    - debian/usr.bin.firefox.apparmor.14.10

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-do-not-build-qcms-with-neon.patch
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/use-system-icupkg.patch
  * Exclude more files from the generated source tarball
    - debian/config/tarball.conf

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 09 Dec 2020 07:50:05 +0100

firefox (83.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (83.0+build2)

  [ Olivier Tilloy ]
  * Fix FTBFS on armhf
    - update debian/patches/fix-armhf-webrtc-build.patch
    - add debian/patches/armhf-do-not-build-qcms-with-neon.patch
  * Fix an autopkgtest that started failing reliably
    - debian/tests/search-engines

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 13 Nov 2020 11:35:41 +0100

firefox (82.0.3+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (82.0.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 09 Nov 2020 07:59:11 +0100

firefox (82.0.2+build1-0ubuntu1) hirsute; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 21.04 (the Hirsute Hippo)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Oct 2020 15:21:19 +0100

firefox (82.0.2+build1-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (82.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Oct 2020 15:16:10 +0100

firefox (82.0.1+build1-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (82.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 26 Oct 2020 19:07:04 +0100

firefox (82.0+build2-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (82.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.15.0
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/ppc-no-static-sizes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 19 Oct 2020 08:57:10 +0200

firefox (81.0.2+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (81.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Oct 2020 09:24:44 +0200

firefox (81.0.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (81.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 30 Sep 2020 20:05:31 +0200

firefox (81.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (81.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 17 Sep 2020 07:53:50 +0200

firefox (81.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (81.0+build1)

  [ Rico Tzschichholz ]
  * Use clang 11 if available and drop 9
    - debian/control{,.in}
    - debian/build/rules.mk
  * Drop obsolete AppArmor profile and conditionals
    - debian/rules
    - debian/usr.bin.firefox.apparmor.13.10
  * Drop armel arch references
    - debian/build/rules.mk
  * Export MACH_USE_SYSTEM_PYTHON=1
    - debian/build/rules.mk
  * Update patches
    - debian/patches/fix-armhf-webrtc-build.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Update cbindgen to 0.14.4
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 15 Sep 2020 07:41:56 +0200

firefox (80.0.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (80.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 Aug 2020 22:57:54 +0200

firefox (80.0+build2-0ubuntu2) groovy; urgency=medium

  * No-change rebuild for libffi transition

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Aug 2020 08:15:24 +0200

firefox (80.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (80.0+build2)

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/rust-drop-dll-checksums.patch
  * Drop obsolete patches
    - debian/patches/revert-1fce91651f43.patch
  * Drop custom icupkg command in favour of upstream buildsys handling
    - debian/build/rules.mk
    - debian/patches/use-system-icupkg.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 23 Aug 2020 23:42:52 +0200

firefox (79.0+build1-0ubuntu2) groovy; urgency=medium

  * Remove obsolete search plugins and related patches and default settings.
    These were added to upstream's Ubuntu distribution configuration
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1651330).
    - debian/install-distribution-searchplugins.py
    - debian/searchplugins/*.xml
    - debian/config/searchplugins.conf
    - debian/patches/no-region-overrides-for-google-search.patch
    - debian/patches/partially-revert-google-search-update.patch
  * Update packaging scripts accordingly
    - debian/distribution.ini
    - debian/firefox.{dirs,install,links}.in
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 21 Jul 2020 18:34:13 +0200

firefox (79.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (79.0+build1)

  [ Rico Tzschichholz ]
  * Require python >= 3.6
  * Update patches
    - debian/patches/fix-armhf-webrtc-build.patch
  * Bump build-dep on rustc >= 1.43.0 and cargo >= 0.44
    - debian/control{,.in}
  * Drop unnecessary patch to cleanup old distributions (LP: #1885903)
    - debian/patches/cleanup-old-distribution-search-engines.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 21 Jul 2020 08:40:50 +0200

firefox (78.0.2+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.0.2+build2)

  * Add a new autopkgtest that verifies that search engine customizations are
    applied
    - debian/tests/control
    - debian/tests/search-engines

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 09 Jul 2020 10:40:10 +0200

firefox (78.0.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Jul 2020 09:06:38 +0200

firefox (78.0+build2-0ubuntu3) groovy; urgency=medium

  * Temporarily revert the switch to the modern search configuration in Firefox
    78.0 until the search plugins have been updated (LP: #1885743)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 30 Jun 2020 17:56:44 +0200

firefox (78.0+build2-0ubuntu2) groovy; urgency=medium

  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 26 Jun 2020 15:10:35 +0200

firefox (78.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.14.3
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 26 Jun 2020 10:40:23 +0200

firefox (78.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.0+build1)

  [ Rico Tzschichholz ]
  * Handle ja-JP-mac locale
    - update debian/config/locales.shipped
    - update debian/config/searchplugins.conf
  * Drop obsolete patches
    - debian/patches/ppc-drop-register.patch
  * Remove obsolete conf-flags
    - debian/config/mozconfig.in
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/support-coinstallable-trunk-build.patch
  * Bump build-dep on nodejs >= 10.21
    - debian/control{,.in}
  * Drop python 2 build-dep
  * Build required icudt67b.dat on s390x with /usr/sbin/icupkg
    - debian/build/rules.mk
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 25 Jun 2020 18:53:04 +0200

firefox (77.0.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (77.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 03 Jun 2020 07:38:47 +0200

firefox (77.0+build3-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (77.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 May 2020 09:57:37 +0200

firefox (77.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (77.0+build2)

  * Minor fixes to the script that creates the source tarball for regressions
    that were introduced by the port to Python 3
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 28 May 2020 00:01:11 +0200

firefox (77.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (77.0+build1)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.14.2
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/rust-drop-dll-checksums.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 25 May 2020 23:02:06 +0200

firefox (76.0.1+build1-0ubuntu2) groovy; urgency=medium
 
  * Update apparmor profile to allow lsb_release to run with more recent
    versions of Python 3 (LP: #1861408)
    - debian/usr.bin.firefox.apparmor.14.10
  * Work around clang hanging forever when trying to optimize the build of the
    embedded copy of sqlite3 (LP: #1878292)
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 12 May 2020 23:11:11 +0200

firefox (76.0.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (76.0.1+build1)

  * Update existing patch to reduce the debuginfo level when compiling rust
    code on s390x too, given how frequently launchpad builders run out of memory
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 May 2020 06:36:00 +0200

firefox (76.0+build2-0ubuntu2) groovy; urgency=medium

  * Ensure building with -g1 on armhf (and other 32bits architectures) to work
    around memory exhaustion problems on Launchpad builders, and remove an old
    workaround for a gcc bug (firefox is now built with clang)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 06 May 2020 22:51:53 +0200

firefox (76.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (76.0+build2)

  * Fix the extraction of langpack names on xenial
    - debian/build/xpi-id.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 Apr 2020 13:28:45 +0200

firefox (76.0+build1-0ubuntu1) groovy; urgency=medium

  * Replace hardcoded occurrence of "firefox" with $(MOZ_PKG_NAME)
    - debian/build/rules.mk
  * Update the Vcs-Bzr URL for Ubuntu 20.10 (the Groovy Gorilla)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 29 Apr 2020 14:50:33 +0200

firefox (76.0+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (76.0+build1)

  [ Olivier Tilloy ]
  * Port packaging to python3
  * Fail early in the source tarball creation process if some required external
    dependencies are missing
    - debian/build/create-tarball.py
  * Replace hicolor icon symlinks by copies to please the AppStream metadata
    generator (LP: #1639863)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.14.1
    - debian/build/create-tarball.py
  * Bump build-dep on nasm >= 2.14.02
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/cleanup-old-distribution-search-engines.patch
  * Drop obsolete patches
    - debian/patches/bug1622013-vpx-mmx.diff
    - debian/patches/mark-distribution-search-engines-as-read-only.patch
    - debian/patches/s390x-authenticator.patch
  * Separately installed browser/blocklist.xml was removed
    - debian/firefox.install.in

  [ Simon Déziel ]
  * Use preferred syntax for declaring apparmor profile
    - debian/usr.bin.firefox.apparmor.14.10

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 29 Apr 2020 14:18:00 +0200

firefox (75.0+build3-0ubuntu1) focal; urgency=medium

  * New upstream stable release (75.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 03 Apr 2020 22:34:46 +0200

firefox (75.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (75.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 03 Apr 2020 16:53:52 +0200

firefox (75.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (75.0+build1)

  [ Rico Tzschichholz ]
  * Bump build-dep on nodejs >= 10.19
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.41.0 and cargo >= 0.42
    - debian/control{,.in}
  * Update cbindgen to 0.13.2
    - debian/build/create-tarball.py
  * Fix i386 build
    - debian/patches/bug1622013-vpx-mmx.diff

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Apr 2020 16:16:26 +0200

firefox (74.0+build3-0ubuntu1) focal; urgency=medium

  * New upstream stable release (74.0+build3)

  * Add clang 10 to the build dependencies, as this is now the default
    version in focal
    - debian/control{,.in}
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 09 Mar 2020 22:12:48 +0100

firefox (74.0+build2-0ubuntu2) focal; urgency=medium

  * Really allow sideloading langpacks (LP: #1866059)
    - debian/build/rules.mk
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 06 Mar 2020 11:34:59 +0100

firefox (74.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (74.0+build2)

  * Pass MOZ_ALLOW_ADDON_SIDELOAD to allow sideloading langpacks (LP: #1866059)
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Mar 2020 11:05:32 +0100

firefox (74.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (74.0+build1)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.13.1
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Drop obsolete patches
    - debian/patches/drop-some-file-integrity-checks.patch
  * Fix build failure on s390x
    - debian/patches/s390x-authenticator.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Mar 2020 10:29:57 +0100

firefox (73.0.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (73.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 22:12:36 +0100

firefox (73.0+build3-0ubuntu1) focal; urgency=medium

  * New upstream stable release (73.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 08 Feb 2020 22:56:26 +0100

firefox (73.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (73.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Feb 2020 15:03:16 +0100

firefox (73.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (73.0+build1)

  [ Olivier Tilloy ]
  * Use a higher resolution icon for DuckDuckGo (LP: #1796397)
    - debian/searchplugins/ddg.xml

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.13.0
    - debian/build/create-tarball.py
  * Drop browser/chrome.manifest which is not available or required anymore
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.39.0 and cargo >= 0.40
    - debian/control{,.in}
  * Update patches
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Fix build with C++17 on ppc platforms
    - debian/patches/ppc-drop-register.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 04 Feb 2020 16:07:56 +0100

firefox (72.0.2+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (72.0.2+build1)

  * Fix an exception in the apport hook (LP: #1856707)
    - debian/apport/source_firefox.py.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 20 Jan 2020 11:27:21 +0100

firefox (72.0.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py
  * Make the python2 dependency explicit, because the python symlink
    doesn't exist anymore in focal
    - debian/build/create-tarball.py
    - debian/build/fix-mozinfo-appname.py
    - debian/build/keepalive-wrapper.py
    - debian/build/rules.mk
    - debian/build/xpi-id.py
    - debian/control{,.in}
    - debian/install-distribution-searchplugins.py
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jan 2020 11:32:08 +0100

firefox (72.0+build4-0ubuntu1) focal; urgency=medium

  * New upstream stable release (72.0+build4)

  [ Olivier Tilloy ]
  * Remove debian/patches/unity-menubar.patch before the LTS release
    to minimize the maintenance effort
  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given firefox version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

  [ Rico Tzschichholz ]
  * Exclude autoconf files from integrity check
    - debian/patches/drop-some-file-integrity-checks.patch
  * Bump build-dep on clang >= 8 (LP: #1850529)
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update cbindgen to 0.12.1
    - debian/build/create-tarball.py
  * Use ac_add_options to define specific compiler and tool versions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1603860)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 07 Jan 2020 23:25:23 +0100

firefox (71.0+build5-0ubuntu1) focal; urgency=medium

  * New upstream stable release (71.0+build5)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Dec 2019 21:31:06 +0100

firefox (71.0+build2-0ubuntu2) focal; urgency=medium

  * Increase the autopkgtests timeout to 10 minutes
    - debian/tests/control
  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Nov 2019 15:50:37 +0100

firefox (71.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (71.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.10.0
    - debian/build/create-tarball.py
  * Bump build-dep on rustc >= 1.37.0 and cargo >= 0.38
    - debian/control{,.in}
  * Add explicit build-dep on libclang-*-dev
    - debian/control{,.in}
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
  * Skip Tagalog (tl) and Triqui (trs) localizations
    - debian/config/locales.blacklist
  * Include ca-valencia
    - update debian/config/locales.shipped

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Nov 2019 21:41:55 +0100

firefox (70.0.1+build1-0ubuntu3) focal; urgency=medium

  [ Olivier Tilloy ]
  * Ensure that the autopkgtests time out after 5 minutes (LP: #1853571)
    - debian/tests/control

  [ Sabri Ünal, Selim Sumlu ]
  * Fix Turkish translation for the new-private-window action (LP: #1852818)
    - debian/firefox.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 25 Nov 2019 17:22:13 +0100

firefox (70.0.1+build1-0ubuntu2) focal; urgency=medium

  * Add an explicit build dependency on libclang-dev, because clang stopped
    depending on libclang1 (version 1:9.0.0-2 from debian unstable)
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 00:37:49 +0100

firefox (70.0.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (70.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 00:02:39 +0100

firefox (70.0+build2-0ubuntu2) focal; urgency=medium

  * Update symbolic icon to match the latest firefox brand update
    (the asset was downloaded from https://mozilla.design/firefox/logos-usage/)
    - debian/symbolic.svg

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 24 Oct 2019 09:51:43 +0200

firefox (70.0+build2-0ubuntu1) focal; urgency=medium

  [ Jean-Louis Dupond ]
  * Fix a typo in debian/README.Debian.in

  [ Olivier Tilloy ]
  * Update the Vcs-Bzr URL for Ubuntu 20.04 (the Focal Fossa)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 15:28:17 +0200

firefox (70.0+build2-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream stable release (70.0build2)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Select the highest clang version available to avoid hardcoding one version
    for each supported Ubuntu release:
    - debian/build/rules.mk
    - debian/config/mozconfig.in
    - debian/control{,.in}

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.36.0 and cargo >= 0.37
    - debian/control{,.in}
  * Update cbindgen to 0.9.1
    - debian/build/create-tarball.py
  * Exclude config.log from the build
    - debian/config/tarball.conf
    - debian/rules
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Drop upstreamed patches
    - debian/patches/fix-browser-search-get-api.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 08:02:38 +0200

firefox (69.0.3+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (69.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Oct 2019 07:32:38 +0200

firefox (69.0.2+build1-0ubuntu2) eoan; urgency=medium

  * Install the minidump-analyzer executable (LP: #1845205)
    - update debian/firefox.install.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 08 Oct 2019 14:51:08 +0200

firefox (69.0.2+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (69.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 02 Oct 2019 21:34:19 +0200

firefox (69.0.1+build1-0ubuntu2) eoan; urgency=medium

  * Restore icons for the amazon search engine descriptions (LP: #1844051)
    - update debian/searchplugins/amazon*.xml

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Sep 2019 17:32:56 +0200

firefox (69.0.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (69.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Sep 2019 09:19:08 +0200

firefox (69.0+build2-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (69.0build2)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Stop building and remove firefox-globalmenu (LP: #1834866)
  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch
  * Build with clang, as official firefox builds are now produced with clang
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.9.0
    - debian/build/create-tarball.p
  * Use firefox-*.json to retrieve revision
    - debian/build/create-tarball.py
  * Bump build-dep to clang-8 and llvm-8-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.35.0 and cargo >= 0.36
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch
  * Drop upstreamed patches
    - debian/patches/skcms-workaround-gcc-bug.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 11 Sep 2019 12:03:29 +0200

firefox (68.0.2+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.0.2build1)

  * Drop upstreamed patches
    - remove debian/patches/webrtc-fix-missing-include.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 14 Aug 2019 07:47:40 +0200

firefox (68.0.1+build1-0ubuntu2) eoan; urgency=medium

  * Fix WebRTC build failure with newer linux kernel
    - debian/patches/webrtc-fix-missing-include.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Jul 2019 10:12:19 +0200

firefox (68.0.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.0.1build1)

  [ Rico Tzschichholz ]
  * Update patch: debian/patches/partially-revert-google-search-update.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 18 Jul 2019 18:19:32 +0200

firefox (68.0+build3-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 07 Jul 2019 21:57:43 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog firefox`.
